GET
/customer_engagement/202502/permissions
Retrieve the shop’s authorization status for customer engagement features.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
features
The list of customer engagement features that has access control.
Array<object>
object
name
The feature name. Possible values:
FUNDAMENTAL: The ability to use any customer engagement APIs or features. This is the prerequisite for all other customer engagement features.CUSTOM_MSG: The ability to define and send custom messages.
string
is_authorized
A flag to indicate whether the shop has permission to use this feature. Possible values:
true: Authorized to use this feature.false: Not authorized to use this feature.
boolean
Example
{ "code": 0, "data": { "features": [ { "name": "CUSTOM_MSG", "is_authorized": true } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}